Bug 1289576 - RFE - Please add pkg-config file to bzip2-devel rpm
RFE - Please add pkg-config file to bzip2-devel rpm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bzip2 (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 08:29 EST by Timothy Ward
Modified: 2016-01-31 21:02 EST (History)
3 users (show)

See Also:
Fixed In Version: bzip2-1.0.6-18.fc24 bzip2-1.0.6-18.fc23
Doc Type: Enhancement
Doc Text:
Feature: include pkg-config file Reason: Easier autotools configure for development. Result: Allows autotools to produce configure without editing configure.ac and maybe makefiles when using or when developing projects.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 15:53:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Ward 2015-12-08 08:29:10 EST
Description of problem:

No pkg-config file in bzip2 library as shipped

How reproducible:

Use this to confirm no .pc file shipped.

rpm -q -l bzip2-devel

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

This make autotool build configure files on projects that include bzip2 library
on fedora without alteration of configure.ac or makefiles
Comment 1 Fedora Update System 2015-12-08 09:24:50 EST
bzip2-1.0.6-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4a9c774398
Comment 2 Fedora Update System 2015-12-08 17:57:30 EST
bzip2-1.0.6-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bzip2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4a9c774398
Comment 3 Fedora Update System 2016-01-08 15:53:46 EST
bzip2-1.0.6-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.